%define subrel 3
%define svnsnapshot 0
%define cupsbasename cups
%if %{svnsnapshot}
%define cupsnameext %nil
%define cupssvnrevision 5497
%define cupsversion 1.3
%define cupsminorversion .0
%define cupsextraversion svn-r%{cupssvnrevision}
%define cupsrelease %mkrel 0.%{cupssvnrevision}.1
%else
%define cupsnameext %nil
%define cupssvnrevision %nil
%define cupsversion 1.3.6
%define cupsminorversion %nil
%define cupsextraversion %nil
%define cupsrelease %mkrel 5
%endif
%define cupstarballname %{cupsbasename}-%{cupsversion}%{cupsextraversion}

%define major	2
%define libname	%mklibname %{cupsbasename} %{major}%{cupsnameext}

# Turning this on lets CUPS to be built in debug mode (with debugger
# symbols)
%define debug 0

# Links in the man page directories get deleted due to a bug in Mandriva's
# RPM helper script. So we copy the man pages for now
%define manpagelinks 0

##### GENERAL STUFF #####

Summary:	Common Unix Printing System - Server package
Name:		%{cupsbasename}%{cupsnameext}
Version:	%{cupsversion}%{cupsminorversion}
Release:	%{cupsrelease}
License:	GPL
Group:		System/Printing
%define real_version %{version}

##### SOURCE FILES #####

Source: ftp://ftp.easysw.com/pub/cups/%{cupsversion}/%{cupstarballname}-source.tar.bz2

# Small C program to get list of all installed PPD files
Source1: poll_ppd_base.c
# Small C program to list the printer-specific options of a particular printer
Source2: lphelp.c
# Complete replacement for startup script to have it the
# Mandriva Linux way
Source5: cups.startup
# Script for cleaning up the PPD files
Source6: cleanppd.pl
# Perl script for automatic configuration of CUPS, especially access
# restrictions and broadcasting
Source7: correctcupsconfig
# Backend filter for nprint (Novell client) from Mark Horn
# (mark@hornclan.com)
Source11: http://www.hornclan.com/~mark/cups/nprint.2002011801
# AppleTalk/netatalk backend for CUPS
Source12: http://www.oeh.uni-linz.ac.at/~rupi/pap/pap-backend.tar.bz2
Source13: http://www.oeh.uni-linz.ac.at/~rupi/pap/pap-docu.pdf.bz2
Source14: http://www.linuxprinting.org/download/printing/photo_print
Source15: http://printing.kde.org/downloads/pdfdistiller
Source16: cjktexttops
# Nice level for now. bug #16387
Source18: cups.sysconfig
Patch9: cups-1.1.6-lp-lpr.patch
Patch10: cups-1.3.0-recommended.patch
Patch17: cups-1.3.6-disconnected-usb-increases-cpu-usage.patch
Patch18: cups-1.3.6-CVE-2008-0047.patch
Patch19: cups-1.3.6-CVE-2008-1373.patch
Patch20: cups-1.3.6-CVE-2008-1722.patch
Patch21: cups-CVE-2008-3639.patch
Patch22: cups-1.3.6-CVE-2008-3640.patch
Patch23: cups-1.3.6-CVE-2008-3641.patch
Patch24: cups-CVE-2008-5183.patch
Patch25: cups-CVE-2008-5184.patch
Patch26: cups-CVE-2008-5286.patch


##### ADDITIONAL DEFINITIONS #####

Url: http://www.cups.org
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: %{libname} >= %{version}-%{release} %{name}-common >= %{version}-%{release} openssl net-tools
Requires: printer-testpages
# Take care that device files are created with correct permissions
Requires: udev dynamic
# For desktop menus
Requires: xdg-utils
BuildRequires:	autoconf2.5
BuildRequires:	openssl-devel
BuildRequires:	libpam-devel
BuildRequires:	libopenslp-devel, libldap-devel
%if %mdkver >= 200700
BuildRequires:	libdbus-devel >= 0.50
%endif
BuildRequires:	glibc
BuildRequires:	htmldoc
BuildRequires:	libpaper-devel
#BuildRequires:  libdbus-1-devel
BuildRequires:	libgnutls-devel
BuildRequires:	php-devel >= 5.1.0 php-cli
BuildRequires:	libjpeg-devel, libpng-devel, libtiff-devel, libz-devel



##### SUB-PACKAGES #####

%description
CUPS 1.2 is fully compatible with CUPS-1.1 machines in the network and
with software built against CUPS-1.1 libraries.

The Common Unix Printing System provides a portable printing layer for 
UNIX(TM) operating systems. It has been developed by Easy Software Products 
to promote a standard printing solution for all UNIX vendors and users. 
CUPS provides the System V and Berkeley command-line interfaces.
This is the main package needed for CUPS servers (machines where a
printer is connected to or which host a queue for a network
printer). It can also be used on CUPS clients so that they simply pick
up broadcasted printer information from other CUPS servers and do not
need to be assigned to a specific CUPS server by an
%{_sysconfdir}/cups/client.conf file.

%package common
Summary: Common Unix Printing System - Common stuff
License: GPL
Group: System/Printing
Requires: %{libname} >= %{version}-%{release} rpm >= 3.0.4-6mdk update-alternatives openssl net-tools
# To satisfy LSB/FHS
Provides: lpddaemon

%description common
CUPS 1.2 is fully compatible with CUPS-1.1 machines in the network and
with software built against CUPS-1.1 libraries.

The Common Unix Printing System provides a portable printing layer for
UNIX(TM) operating systems. It contains the command line utilities for
printing and administration (lpr, lpq, lprm, lpadmin, lpc, ...), man
pages, locales, and a sample configuration file for daemon-less CUPS
clients (%{_sysconfdir}/cups/client.conf).

This package you need for both CUPS clients and servers. 

%package -n %{libname}
Summary: Common Unix Printing System - CUPS library
License: LGPL
Group: System/Libraries
Requires: openssl net-tools
Obsoletes: libcups1
Provides: libcups1 = %{version}

%description -n %{libname}
CUPS 1.2 is fully compatible with CUPS-1.1 machines in the network and
with software built against CUPS-1.1 libraries.

The Common Unix Printing System provides a portable printing layer for
UNIX(TM) operating systems. This package contains the CUPS API library
which contains common functions used by both the CUPS daemon and all
CUPS frontends (lpr-cups, xpp, qtcups, kups, ...).

This package you need for both CUPS clients and servers. It is also
needed by Samba.

%package -n %{libname}-devel
Summary: Common Unix Printing System - Development environment "libcups"
License: LGPL
Group: Development/C
Requires: cups-common = %{version}-%{release}
Requires: %{libname} >= %{version}-%{release} openssl openssl-devel
Provides: libcups-devel = %{version}-%{release}
Provides: libcups2_1-devel = %{version}-%{release}
Obsoletes: cups-devel, libcups1-devel
Provides: cups-devel = %{version}, libcups1-devel = %{version}

%description -n %{libname}-devel
CUPS 1.2 is fully compatible with CUPS-1.1 machines in the network and
with software built against CUPS-1.1 libraries.

The Common Unix Printing System provides a portable printing layer for
UNIX(TM) operating systems. This is the development package for
creating additional printer drivers, printing software, and other CUPS
services using the main CUPS library "libcups".

%package serial
Summary: Common Unix Printing System - Backend for serial port printers
License: GPL
Group: System/Printing
Requires: %{name} >= %{version}-%{release}

%description serial
CUPS 1.2 is fully compatible with CUPS-1.1 machines in the network and
with software built against CUPS-1.1 libraries.

The Common Unix Printing System provides a portable printing layer for
UNIX(TM) operating systems. This package contains the backend filter
for printers on the serial ports. The auto-detection on the serial
ports takes several seconds (and so the startup time of the CUPS
daemon with this backend present) and therefore it is not recommended
to install this package when one has no serial port printer.

%package -n php-cups
Summary: PHP bindings for the libcups library
License: GPL
Group: Development/PHP
Obsoletes: php4-cups
Provides: php4-cups

%description -n php-cups
Provides bindings to the functions of libcups, to give direct access
to the CUPS printing environment from PHP programs.

##### PREP #####

%prep


%if %{svnsnapshot}
# SVN version
rm -rf $RPM_BUILD_DIR/%{cupstarballname}
%setup -q -n %{cupstarballname}
%else
# Released version
rm -rf $RPM_BUILD_DIR/%{cupsbasename}-%{version}
%setup -q -n %{cupsbasename}-%{real_version}
%endif

# Downdated pstops filter due to problems with multiple page documents
#bzcat %{SOURCE9} > $RPM_BUILD_DIR/%{cupsbasename}-%{real_version}/filter/pstops.c

# Do NEVER use cups.suse (this package is for Mandriva)
#cp -f data/cups.pam data/cups.suse

# Replace the job title "(stdin)" by "STDIM" when one prints out of 
# standard input with "lp" or "lpr". This caused problems when printing
# to a printer on a Windows server via Samba.
%patch9 -p0
# Patch away ugly "(Recommended)" tag removal
%patch10 -p1 -b .recommended
%patch17 -p1 -b .disconnected-usb-increases-cpu-usage
%patch18 -p1 -b .CVE-2008-0047.patch
%patch19 -p1 -b .CVE-2008-1373.patch
%patch20 -p0 -b .cve-2008-1722
%patch21 -p1 -b .cve-2008-3639
%patch22 -p1 -b .cve-2008-3640
%patch23 -p1 -b .cve-2008-3641
%patch24 -p0 -b .cve-2008-5183
%patch25 -p0 -b .cve-2008-5184
%patch26 -p0 -b .cve-2008-5286


%if 0
# Fix libdir for 64-bit architectures
mv config-scripts/cups-directories.m4 config-scripts/cups-directories.m4.orig
cat << EOF > config-scripts/cups-directories.m4
libdir=%{_libdir}
EOF
cat config-scripts/cups-directories.m4.orig >> \
	config-scripts/cups-directories.m4
# Need to regenerate configure script
WANT_AUTOCONF_2_5=1 autoconf
%endif

#if 0
# Set CUPS users and groups
perl -p -i -e 's:(SystemGroup\s+.*)$:$1\nGroup sys\nUser lp:' conf/cupsd.conf.in

# Let local printers be broadcasted in the local network(s)
perl -p -i -e 's:(Listen\s+)localhost:$1*:' conf/cupsd.conf.in
perl -p -i -e 's:(Browsing\s+On):$1\nBrowseAddress \@LOCAL:' conf/cupsd.conf.in
perl -p -i -e 's:(<Location\s+/\s*>):$1\n  Allow \@LOCAL:' conf/cupsd.conf.in

# Allow remote administration in local network (connections are encrypted,
# so no security problem)
perl -p -i -e 's:(<Location\s+/admin(|/conf)\s*>):$1\n  Allow \@LOCAL:' conf/cupsd.conf.in

%if %mdkver >= 200700
# Replace the PAM configuration file
cat << EOF > scheduler/cups.pam
auth	include	system-auth
account	include	system-auth
EOF
cp -f scheduler/cups.pam conf/pam.std.in
%else
# Adapt PAM configuration to Mandriva Linux (former patch #6)
perl -p -i -e 's:(auth\s+required\s+?).*$:${1}pam_stack.so service=system-auth:' scheduler/cups.pam conf/pam.std.in
perl -p -i -e 's:(account\s+required\s+?).*$:${1}pam_stack.so service=system-auth:' scheduler/cups.pam conf/pam.std.in
%endif

# Let the Makefiles not trying to set file ownerships
perl -p -i -e "s/ -o \\$.CUPS_USER.//" scheduler/Makefile
perl -p -i -e "s/ -g \\$.CUPS_GROUP.//" scheduler/Makefile
perl -p -i -e "s/ -o \\$.CUPS_USER.//" systemv/Makefile
perl -p -i -e "s/ -g \\$.CUPS_GROUP.//" systemv/Makefile

# Correct hard-coded path for pam_appl.h
#perl -p -i -e 's:pam/pam_appl.h:security/pam_appl.h:' config-scripts/cups-pam.m4 */*.[ch]*

# Work around bug on Mandriva compilation cluster (32-bit machine has
# /usr/lib64 directory)
perl -p -i -e 's:(libdir=")\$exec_prefix/lib64("):$1%{_libdir}$2:' config-scripts/cups-directories.m4

# Let's look at the compilation command lines.
perl -p -i -e "s,^.SILENT:,," Makedefs.in

%if 0
# Recode all translations to UTF 8
for l in `ls -1 locale/*/cups_* | cut -d '/' -f 2`; do 
	enc=`head -1 locale/$l/cups_$l`
	iconv -f $enc -t utf-8 -o locale/$l/cups_$l.new locale/$l/cups_$l && \
		mv -f locale/$l/cups_$l.new locale/$l/cups_$l && \
		perl -p -i -e "s/$enc/utf-8/" locale/$l/cups_$l
done
for f in doc/fr/*.*html; do 
	iconv -f iso-8859-15 -t utf-8 -o $f.new $f && mv -f $f.new $f
done
for f in templates/fr/*.tmpl; do 
	iconv -f iso-8859-15 -t utf-8 -o $f.new $f && mv -f $f.new $f
done
%endif

# Load additional tools
cp %{SOURCE1} poll_ppd_base.c
cp %{SOURCE2} lphelp.c
# Load nprint backend
cp %{SOURCE11} nprint
# Load AppleTalk "pap" backend
%setup -q -T -D -a 12 -n %{cupstarballname}
# Load the "pap" documentation
bzcat %{SOURCE13} > pap-docu.pdf
# Load the "photo_print" utility
cp %{SOURCE14} photo_print
# Load the "pdfdistiller" utility
cp %{SOURCE15} pdf
# Load the "cjktexttops" filter
cp %{SOURCE16} cjktexttops



##### BUILD #####

%build
%serverbuild
# For 'configure' the macro is not used, because otherwise one does not get the
# /etc and /var directories correctly hardcoded into the executables (they
# would get /usr/etc and /usr/var. In addition, the "--with-docdir" option
# has to be given because the default setting is broken. "aclocal" and 
# "autoconf" are needed if we have a Subversion snapshot or patched the
# files of the build system.
%if %{svnsnapshot}
aclocal
WANT_AUTOCONF_2_5=1 autoconf
%endif
# Debug mode
%if %debug
export DONT_STRIP=1
export CFLAGS="-g"
export CXXFLAGS="-g"
./configure \
    --enable-debug=yes \
    --enable-install_static \
    --enable-libpaper \
    --enable-raw-printing \
    --enable-ssl \
    --enable-static \
    --with-cups-group=sys \
    --with-cups-user=lp \
    --with-docdir=%{_datadir}/cups/doc \
    --with-icondir=%{_datadir}/icons \
    --with-system-groups="lpadmin root"
# Let Makefiles not execute the /usr/bin/strip command
export STRIP=":"
# Remove "-s" (stripping) option from "install" command used for binaries
# by "make install"
perl -p -i -e 's:^(\s*INSTALL_BIN\s*=.*)-s:$1:' Makedefs
%else
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
export CXXFLAGS="$RPM_OPT_FLAGS -fPIC"
./configure \
    --enable-install_static \
    --enable-libpaper \
    --enable-raw-printing \
    --enable-ssl \
    --enable-static \
    --with-cups-group=sys \
    --with-cups-user=lp \
    --with-docdir=%{_datadir}/cups/doc \
    --with-icondir=%{_datadir}/icons \
    --with-system-groups="lpadmin root"
#configure2_5x --enable-ssl --with-docdir=%{_datadir}/cups/doc
export STRIP="/usr/bin/strip"
%endif
# Remove hardcoded "chgrp" from Makefiles
perl -p -i -e 's/chgrp/:/' Makefile */Makefile
%ifnarch %{ix86}
export REAL_CFLAGS="$CFLAGS -fPIC"
%else
export REAL_CFLAGS="$CFLAGS"
%endif
make CHOWN=":" STRIP="$STRIP" OPTIM="$REAL_CFLAGS" \
             REQUESTS=%{buildroot}%{_var}/spool/cups \
             LOGDIR=%{buildroot}%{_var}/log/cups \
             STATEDIR=%{buildroot}%{_var}/run/cups

%if 0
%make LOGDIR=%{buildroot}%{_var}/log/cups \
             REQUESTS=%{buildroot}%{_var}/spool/cups \
             SERVERROOT=%{buildroot}%{_sysconfdir}/cups \
             MANDIR=%{buildroot}%{_mandir} \
             PAMDIR=%{buildroot}%{_sysconfdir}/pam.d \
             BINDIR=%{buildroot}%{_bindir} \
             SBINDIR=%{buildroot}%{_sbindir} \
             INITDIR=%{buildroot}%{_sysconfdir}/rc.d \
             DOCDIR=%{buildroot}%{_datadir}/cups/doc \
             CHOWN=":" STRIP="$STRIP" OPTIM="$REAL_CFLAGS"
%endif

# Compile additional tools
gcc -opoll_ppd_base -I. -I./cups -L./cups -lcups poll_ppd_base.c
gcc -olphelp -I. -I./cups -L./cups -lcups lphelp.c

##### INSTALL #####

%install
rm -rf %{buildroot}
# Debug mode
%if %debug
export DONT_STRIP=1
%endif

make install BUILDROOT=%{buildroot} \
             DOCDIR=%{buildroot}%{_datadir}/cups/doc \
             CHOWN=":" CHGRP=":" STRIP="$STRIP" \
             LOGDIR=%{buildroot}%{_var}/log/cups \
             REQUESTS=%{buildroot}%{_var}/spool/cups \
             STATEDIR=%{buildroot}%{_var}/run/cups

%if 0
make install BUILDROOT=%{buildroot} \
	     LOGDIR=%{buildroot}%{_var}/log/cups \
             SERVERROOT=%{buildroot}%{_sysconfdir}/cups \
             AMANDIR=%{buildroot}%{_mandir} \
             PMANDIR=%{buildroot}%{_mandir} \
             MANDIR=%{buildroot}%{_mandir} \
             PAMDIR=%{buildroot}%{_sysconfdir}/pam.d \
             BINDIR=%{buildroot}%{_bindir} \
             SBINDIR=%{buildroot}%{_sbindir} \
             INITDIR=%{buildroot}%{_sysconfdir}/rc.d \
             DOCDIR=%{buildroot}%{_datadir}/cups/doc \
             CHOWN=":" CHGRP=":" STRIP="$STRIP"

#             DOCDIR=%{buildroot}%{_defaultdocdir}/cups \
%endif

# Make a directory for PPD generators
mkdir -p %{buildroot}%{_prefix}/lib/cups/driver

# Make a directory for the SSL files
mkdir -p %{buildroot}%{_sysconfdir}/cups/ssl

# Make a directory for authentication certificates
mkdir -p %{buildroot}%{_var}/run/cups/certs

# Install additional tools
install -m 755 poll_ppd_base %{buildroot}%{_bindir}
install -m 755 lphelp %{buildroot}%{_bindir}

# Install nprint backend
install -m 755 nprint %{buildroot}%{_prefix}/lib/cups/backend/

# Install AppleTalk backend
install -m 755 pap-backend/pap %{buildroot}%{_prefix}/lib/cups/backend/
install -m 644 pap-docu.pdf %{buildroot}%{_datadir}/%{cupsbasename}/doc

# Install "photo_print"
install -m 755 photo_print %{buildroot}%{_bindir}

# Install "pdfdistiller"
install -m 755 pdf %{buildroot}%{_prefix}/lib/cups/backend/

# Install "cjktexttops"
install -m 755 cjktexttops %{buildroot}%{_prefix}/lib/cups/filter/

# Set link to test page in /usr/share/printer-testpages
#rm -f %{buildroot}%{_datadir}/cups/data/testprint.ps
ln -s %{_datadir}/printer-testpages/testprint.ps %{buildroot}%{_datadir}/cups/data/testprint-mdv.ps

# entry for xinetd (disabled by default)
install -d %{buildroot}%{_sysconfdir}/xinetd.d
cat <<EOF >%{buildroot}%{_sysconfdir}/xinetd.d/cups-lpd
# default: off
# description: The cups-lpd mini daemon enable cups accepting jobs from a \
#       remote LPD client (for example a machine with an older distribution \
#       than Linux Mandrake 7.2 or with a commercial Unix).
service printer
{
	socket_type	= stream
	protocol	= tcp
	wait		= no
	user		= lp
	group		= sys
	server		= %{_prefix}/lib/cups/daemon/cups-lpd
	server_args	= -o document-format=application/octet-stream
	passenv		=
	env		= TMPDIR=%{_var}/spool/cups/tmp
	disable		= yes
}
EOF

# Install startup script
install -d %{buildroot}%{_initrddir}
install -m 755 %{SOURCE5} %{buildroot}%{_initrddir}/cups
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -m 644 %{SOURCE18} %{buildroot}%{_sysconfdir}/sysconfig/cups
rm -f %{buildroot}%{_sysconfdir}/init.d/cups

# Install script for automatic CUPS configuration
cp %{SOURCE7} %{buildroot}%{_sbindir}/correctcupsconfig
chmod a+rx %{buildroot}%{_sbindir}/correctcupsconfig

# Install PPDs
mkdir -p %{buildroot}%{_datadir}/cups/model
install -m 755 ppd/*.ppd %{buildroot}%{_datadir}/cups/model

# Uncompress Perl script for cleaning up manufacturer entries in PPD files
cp %{SOURCE6} ./cleanppd.pl
chmod a+rx ./cleanppd.pl
# Do the clean-up
find %{buildroot}%{_datadir}/cups/model -name "*.ppd" -exec ./cleanppd.pl '{}' \;

# bzip2 all man pages already now, so that we can link man pages without
# RPM breaking it. Links need to be deleted and afterwards regenerated
rm -f %{buildroot}%{_mandir}/man8/cupsdisable.8.gz
rm -f %{buildroot}%{_mandir}/man8/reject.8.gz
bzme -F %{buildroot}%{_mandir}/man*/*.[0-9n].gz

# Set compatibility links for the man pages and executables
ln -s %{_sbindir}/cupsenable %{buildroot}%{_bindir}/enable
ln -s %{_sbindir}/cupsdisable %{buildroot}%{_bindir}/disable
ln -s %{_sbindir}/cupsenable %{buildroot}%{_sbindir}/enable
ln -s %{_sbindir}/cupsdisable %{buildroot}%{_sbindir}/disable
%if %manpagelinks
ln -s %{_mandir}/man8/cupsenable.8.bz2 %{buildroot}%{_mandir}/man8/cupsdisable.8.bz2
ln -s %{_mandir}/man8/cupsdisable.8.bz2 %{buildroot}%{_mandir}/man8/disable.8.bz2
ln -s %{_mandir}/man8/cupsenable.8.bz2 %{buildroot}%{_mandir}/man8/enable.8.bz2
ln -s %{_mandir}/man8/accept.8.bz2 %{buildroot}%{_mandir}/man8/reject.8.bz2
%else
cp %{buildroot}%{_mandir}/man8/cupsenable.8.bz2 %{buildroot}%{_mandir}/man8/cupsdisable.8.bz2
cp %{buildroot}%{_mandir}/man8/cupsdisable.8.bz2 %{buildroot}%{_mandir}/man8/disable.8.bz2
cp %{buildroot}%{_mandir}/man8/cupsenable.8.bz2 %{buildroot}%{_mandir}/man8/enable.8.bz2
cp %{buildroot}%{_mandir}/man8/accept.8.bz2 %{buildroot}%{_mandir}/man8/reject.8.bz2
%endif

%ifarch x86_64
# This one will be removed soon, when all other packages are
# modified appropriately
ln -s %{_prefix}/lib/cups %{buildroot}%{_libdir}/cups
%endif

# prepare the commands conflicting with LPD for the update-alternatives
# treatment
( cd %{buildroot}%{_bindir}
  mv lpr lpr-cups
  mv lpq lpq-cups
  mv lprm lprm-cups
  mv lp lp-cups
  mv cancel cancel-cups
  mv lpstat lpstat-cups
)
( cd %{buildroot}%{_sbindir}
  mv accept accept-cups
  mv disable disable-cups
  mv enable enable-cups
  mv lpc lpc-cups
  mv lpmove lpmove-cups
  mv reject reject-cups
)
( cd %{buildroot}%{_mandir}/man1
  mv lpr.1.bz2 lpr-cups.1.bz2
  mv lpq.1.bz2 lpq-cups.1.bz2
  mv lprm.1.bz2 lprm-cups.1.bz2
  mv lp.1.bz2 lp-cups.1.bz2
  mv cancel.1.bz2 cancel-cups.1.bz2
  mv lpstat.1.bz2 lpstat-cups.1.bz2
)
( cd %{buildroot}%{_mandir}/man8
  mv accept.8.bz2 accept-cups.8.bz2
  mv disable.8.bz2 disable-cups.8.bz2
  mv enable.8.bz2 enable-cups.8.bz2
  mv lpc.8.bz2 lpc-cups.8.bz2
  mv lpmove.8.bz2 lpmove-cups.8.bz2
  mv reject.8.bz2 reject-cups.8.bz2
)
ln -sf %{_sbindir}/accept-cups %{buildroot}%{_sbindir}/reject-cups
ln -sf %{_sbindir}/accept-cups %{buildroot}%{_sbindir}/cupsdisable
ln -sf %{_sbindir}/accept-cups %{buildroot}%{_sbindir}/cupsenable

# Remove links to the startup script, we make our own ones with chkconfig
rm -rf %{buildroot}%{_sysconfdir}/rc?.d/[SK]*
# Remove superflouus man page stuff
rm -rf %{buildroot}%{_mandir}/cat
rm -rf %{buildroot}%{_mandir}/cat?
rm -rf %{buildroot}%{_mandir}/*/cat
rm -rf %{buildroot}%{_mandir}/*/cat?

# Install missing headers (Thanks to Oden Eriksson)
install -m644 cups/debug.h  %{buildroot}%{_includedir}/cups/
install -m644 cups/string.h %{buildroot}%{_includedir}/cups/
install -m644 config.h %{buildroot}%{_includedir}/cups/

# Multiarch fixes
%multiarch_includes %{buildroot}%{_includedir}/cups/config.h

# Create dummy config files /etc/cups/printers.conf,
# /etc/cups/classes.conf, and /etc/cups/client.conf
touch %{buildroot}%{_sysconfdir}/cups/printers.conf
touch %{buildroot}%{_sysconfdir}/cups/classes.conf
touch %{buildroot}%{_sysconfdir}/cups/client.conf

# Create .ini file for the PHP bindings
install -d %{buildroot}%{_sysconfdir}/php.d
cat > %{buildroot}%{_sysconfdir}/php.d/A20_cups.ini << EOF
extension = phpcups.so
EOF

# Prefer xdg-utils than htmlview (kde one)
sed -i s/htmlview/xdg-open/ %{buildroot}%{_datadir}/applications/*.desktop

#find_lang %{name}

# http://qa.mandriva.com/show_bug.cgi?id=28383
# Common PPD dirs
mkdir -p %{buildroot}%{_datadir}/ppd

# Make CUPS know them
ln -s /usr/local/share/ppd %{buildroot}%{_datadir}/cups/model/1-local-admin
ln -s /opt/share/ppd %{buildroot}%{_datadir}/cups/model/2-third-party
ln -s %{_datadir}/ppd %{buildroot}%{_datadir}/cups/model/3-distribution

# Common printer driver dirs
mkdir -p %{buildroot}%{_libdir}/printdriver
# Other dirs can't be handled here, but on %post instead.

##### PRE/POST INSTALL SCRIPTS #####

%pre
%ifarch x86_64
# Fix /usr/lib/cups directory, so that updates can be done
if [ -d %{_libdir}/cups ] && ! [ -h %{_libdir}/cups ]; then
    if [ -h %{_prefix}/lib/cups ]; then
        rm -f %{_prefix}/lib/cups
	mv %{_libdir}/cups %{_prefix}/lib/cups
    else
	mv %{_libdir}/cups %{_libdir}/cups.rpmsave
	#echo 'Moved %{_libdir}/cups to %{_libdir}/cups.rpmsave' 1>&2
    fi
fi
%endif
%_pre_groupadd lpadmin

%post
# Make sure group ownerships are correct
chgrp -R sys %{_sysconfdir}/cups %{_var}/*/cups

# We can't enforce this. Bug #35993
for d in /opt/share/ppd /opt/lib/printdriver /usr/local/share/ppd /usr/local/lib/printdriver
do
  [ ! -e $d ] && mkdir -p $d || :
done
# End of 28383

# Let CUPS daemon be automatically started at boot time
%_post_service cups

%post common
# The lpc updates-alternative links were not correctly set in older CUPS
# packages, therefore remove the entry before making a new one when updating
%{_sbindir}/update-alternatives --remove lpc %{_sbindir}/lpc-cups || :
# Set up update-alternatives entries
%{_sbindir}/update-alternatives --install %{_bindir}/lpr lpr %{_bindir}/lpr-cups 10 --slave %{_mandir}/man1/lpr.1%{_extension} lpr.1%{_extension} %{_mandir}/man1/lpr-cups.1%{_extension}
%{_sbindir}/update-alternatives --install %{_bindir}/lpq lpq %{_bindir}/lpq-cups 10 --slave %{_mandir}/man1/lpq.1%{_extension} lpq.1%{_extension} %{_mandir}/man1/lpq-cups.1%{_extension}
%{_sbindir}/update-alternatives --install %{_bindir}/lprm lprm %{_bindir}/lprm-cups 10 --slave %{_mandir}/man1/lprm.1%{_extension} lprm.1%{_extension} %{_mandir}/man1/lprm-cups.1%{_extension}
%{_sbindir}/update-alternatives --install %{_bindir}/lp lp %{_bindir}/lp-cups 10 --slave %{_mandir}/man1/lp.1%{_extension} lp.1%{_extension} %{_mandir}/man1/lp-cups.1%{_extension}
%{_sbindir}/update-alternatives --install %{_bindir}/cancel cancel %{_bindir}/cancel-cups 10 --slave %{_mandir}/man1/cancel.1%{_extension} cancel.1%{_extension} %{_mandir}/man1/cancel-cups.1%{_extension}
%{_sbindir}/update-alternatives --install %{_bindir}/lpstat lpstat %{_bindir}/lpstat-cups 10 --slave %{_mandir}/man1/lpstat.1%{_extension} lpstat.1%{_extension} %{_mandir}/man1/lpstat-cups.1%{_extension}
%{_sbindir}/update-alternatives --install %{_sbindir}/accept accept %{_sbindir}/accept-cups 10 --slave %{_mandir}/man8/accept.8%{_extension} accept.8%{_extension} %{_mandir}/man8/accept-cups.8%{_extension}
%{_sbindir}/update-alternatives --install %{_sbindir}/disable disable %{_sbindir}/disable-cups 10 --slave %{_mandir}/man8/disable.8%{_extension} disable.8%{_extension} %{_mandir}/man8/disable-cups.8%{_extension}
%{_sbindir}/update-alternatives --install %{_sbindir}/enable enable %{_sbindir}/enable-cups 10 --slave %{_mandir}/man8/enable.8%{_extension} enable.8%{_extension} %{_mandir}/man8/enable-cups.8%{_extension}
%{_sbindir}/update-alternatives --install %{_sbindir}/lpc lpc %{_sbindir}/lpc-cups 10 --slave %{_mandir}/man8/lpc.8%{_extension} lpc.8%{_extension} %{_mandir}/man8/lpc-cups.8%{_extension}
%{_sbindir}/update-alternatives --install %{_sbindir}/lpmove lpmove %{_sbindir}/lpmove-cups 10 --slave %{_mandir}/man8/lpmove.8%{_extension} lpmove.8%{_extension} %{_mandir}/man8/lpmove-cups.8%{_extension}
%{_sbindir}/update-alternatives --install %{_sbindir}/reject reject %{_sbindir}/reject-cups 10 --slave %{_mandir}/man8/reject.8%{_extension} reject.8%{_extension} %{_mandir}/man8/reject-cups.8%{_extension}

%post -n %{libname} -p /sbin/ldconfig

%preun
# Let CUPS daemon not be automatically started at boot time any more
%_preun_service cups

%preun common
if [ "$1" = 0 ]; then
  # Remove update-alternatives entries
  %{_sbindir}/update-alternatives --remove lpr %{_bindir}/lpr-cups
  %{_sbindir}/update-alternatives --remove lpq %{_bindir}/lpq-cups
  %{_sbindir}/update-alternatives --remove lprm %{_bindir}/lprm-cups
  %{_sbindir}/update-alternatives --remove lp %{_bindir}/lp-cups
  %{_sbindir}/update-alternatives --remove cancel %{_bindir}/cancel-cups
  %{_sbindir}/update-alternatives --remove lpstat %{_bindir}/lpstat-cups
  %{_sbindir}/update-alternatives --remove accept %{_sbindir}/accept-cups
  %{_sbindir}/update-alternatives --remove disable %{_sbindir}/disable-cups
  %{_sbindir}/update-alternatives --remove enable %{_sbindir}/enable-cups
  %{_sbindir}/update-alternatives --remove lpc %{_sbindir}/lpc-cups
  %{_sbindir}/update-alternatives --remove lpmove %{_sbindir}/lpmove-cups
  %{_sbindir}/update-alternatives --remove reject %{_sbindir}/reject-cups
fi

%preun -n %{libname} -p /sbin/ldconfig

%postun
%_postun_groupdel lpadmin

%postun -n %{libname} -p /sbin/ldconfig



%clean
##### CLEAN UP #####
rm -rf %{buildroot}



##### FILE LISTS FOR ALL BINARY PACKAGES #####

#####cups
%files
%defattr(-,root,root)
%doc *.txt
%attr(511,lp,lpadmin) %{_var}/run/cups/certs
%config(noreplace) %attr(-,root,sys) %{_sysconfdir}/cups/cupsd.conf
%config(noreplace) %attr(-,root,root) %{_sysconfdir}/sysconfig/cups
%ghost %config(noreplace) %{_sysconfdir}/cups/printers.conf
%ghost %config(noreplace) %{_sysconfdir}/cups/classes.conf
%attr(-,root,sys) %{_sysconfdir}/cups/cupsd.conf.default
%config(noreplace) %attr(-,root,sys) %{_sysconfdir}/cups/interfaces
%config(noreplace) %attr(644,root,sys) %{_sysconfdir}/cups/mime.convs
%config(noreplace) %attr(644,root,sys) %{_sysconfdir}/cups/mime.types
%config(noreplace) %attr(-,root,sys) %{_sysconfdir}/cups/ppd
%config(noreplace) %attr(-,root,sys) %{_sysconfdir}/cups/ssl
%config(noreplace) %attr(-,root,sys) %{_sysconfdir}/cups/snmp.conf
%if %mdkver >= 200700
%config(noreplace) %attr(-,root,sys) %{_sysconfdir}/dbus*/system.d/cups.conf
%endif
%{_initrddir}/cups
%config(noreplace) %{_sysconfdir}/pam.d/cups
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/xinetd.d/cups-lpd
%dir %{_prefix}/lib/cups
%{_prefix}/lib/cups/cgi-bin
%{_prefix}/lib/cups/daemon
%{_prefix}/lib/cups/notifier
%{_prefix}/lib/cups/filter
%{_prefix}/lib/cups/monitor
%dir %{_prefix}/lib/cups/backend
%{_prefix}/lib/cups/backend/http
%{_prefix}/lib/cups/backend/ipp
%{_prefix}/lib/cups/backend/lpd
%{_prefix}/lib/cups/backend/nprint
%{_prefix}/lib/cups/backend/pap
%{_prefix}/lib/cups/backend/parallel
%{_prefix}/lib/cups/backend/scsi
%{_prefix}/lib/cups/backend/snmp
%{_prefix}/lib/cups/backend/socket
%{_prefix}/lib/cups/backend/usb
%{_prefix}/lib/cups/backend/pdf
%dir %{_prefix}/lib/cups/driver
%{_datadir}/cups
%attr(0755,root,sys) %{_var}/log/cups
# Set ownerships of spool directory which is normally done by 'make install'
# Because RPM does 'make install' as normal user, this has to be done here
%dir %attr(0710,root,sys) %{_var}/spool/cups
%dir %attr(01770,root,sys) %{_var}/spool/cups/tmp
%dir %attr(775,root,sys) %{_var}/cache/cups
# Bug #28383 dirs
%dir %{_datadir}/ppd
%dir %{_libdir}/printdriver
# Desktop icons
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/cups.png
%ifarch x86_64
# Compatibility link, will be removed soon
%{_libdir}/cups
%endif

#####cups-common
%files common
#-f %{name}.lang
%defattr(-,root,root)
%dir %config(noreplace) %attr(-,lp,sys) %{_sysconfdir}/cups
%ghost %config(noreplace) %attr(-,lp,sys) %{_sysconfdir}/cups/client.conf
%{_sbindir}/*
%{_bindir}/*cups
%{_bindir}/lphelp
%{_bindir}/lpoptions
%attr(6755,root,sys) %{_bindir}/lppasswd
%{_bindir}/photo_print
%{_bindir}/poll_ppd_base
%{_bindir}/cupstestppd
%{_bindir}/cupstestdsc
%{_bindir}/enable
%{_bindir}/disable
%lang(da) %{_datadir}/locale/da/cups_da.po
%lang(de) %{_datadir}/locale/de/cups_de.po
%lang(es) %{_datadir}/locale/es/cups_es.po
%lang(et) %{_datadir}/locale/et/cups_et.po
%lang(fi) %{_datadir}/locale/fi/cups_fi.po
%lang(fr) %{_datadir}/locale/fr/cups_fr.po
%lang(he) %{_datadir}/locale/he/cups_he.po
%lang(it) %{_datadir}/locale/it/cups_it.po
%lang(ja) %{_datadir}/locale/ja/cups_ja.po
%lang(ko) %{_datadir}/locale/ko/cups_ko.po
%lang(nl) %{_datadir}/locale/nl/cups_nl.po
%lang(no) %{_datadir}/locale/no/cups_no.po
%lang(pl) %{_datadir}/locale/pl/cups_pl.po
%lang(pt) %{_datadir}/locale/pt/cups_pt.po
%lang(pt_BR) %{_datadir}/locale/pt_BR/cups_pt_BR.po
%lang(ru) %{_datadir}/locale/ru/cups_ru.po
%lang(sv) %{_datadir}/locale/sv/cups_sv.po
%lang(zh) %{_datadir}/locale/zh/cups_zh.po
%lang(zh_TW) %{_datadir}/locale/zh_TW/cups_zh_TW.po
%{_mandir}/man?/*

#####%{libname}
%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libcups.so.*
%{_libdir}/libcupsimage.so.*

#####%{libname}-devel
%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/cups/*
%multiarch %{multiarch_includedir}/cups/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_bindir}/cups-config

%files serial
%defattr(-,root,root)
%{_prefix}/lib/cups/backend/serial

%files -n php-cups
%defattr(-,root,root)
%doc scripting/php/README
%attr(0755,root,root) %{_libdir}/php/extensions/*
%config(noreplace) %{_sysconfdir}/php.d/*


%changelog
* Thu Jan 22 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.3.6-5.3mdv2008.1
- P24: security fix for CVE-2008-5183
- P25: security fix for CVE-2008-5184
- P26: security fix for CVE-2008-5286
- Fixed symlink vulnerability in pdfdistiller (CVE-2009-0032).

* Fri Oct 10 2008 Vincent Danen <vdanen@mandriva.com> 1.3.6-5.2mdv2008.1
- P21: security fix for CVE-2008-3639
- P22: security fix for CVE-2008-3640
- P23: security fix for CVE-2008-3641

* Wed Aug 13 2008 Vincent Danen <vdanen@mandriva.com> 1.3.6-5.1mdv2008.1
- P20: security fix for CVE-2008-1722

* Tue Apr 01 2008 Tiago Salem <salem@mandriva.com.br> 1.3.6-5mdv2008.1
+ Revision: 191434
- Patch for CVE-2008-1373.

* Wed Mar 26 2008 Frederik Himpe <fhimpe@mandriva.org> 1.3.6-4mdv2008.1
+ Revision: 190239
- Patch for CVE-2008-0047 (remotely exploitable buffer overflow),
  taken from Debian

* Tue Mar 25 2008 Tiago Salem <salem@mandriva.com.br> 1.3.6-3mdv2008.1
+ Revision: 190046
- fix for bug #38820
- bump release

* Sun Mar 16 2008 Funda Wang <fundawang@mandriva.org> 1.3.6-2mdv2008.1
+ Revision: 188140
- locales should not be installed at every case

* Mon Feb 25 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.3.6-1mdv2008.1
+ Revision: 174766
- Remove unapplied patches and make rpmlint happy.
- New upstream: 1.3.6. Closes: #38032
- Added patch str2703.

* Wed Jan 30 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.3.5-5mdv2008.1
+ Revision: 160417
- Really don't put /usr/local dirs under %%files section.

* Wed Jan 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3.5-4mdv2008.1
+ Revision: 157242
- rebuild with fixed %%serverbuild macro

  + Marcelo Ricardo Leitner <mrl@mandriva.com>
    - Bunzip text sources.
    - Match owners according to cupsd. Closes: #32330

* Sun Jan 13 2008 Funda Wang <fundawang@mandriva.org> 1.3.5-3mdv2008.1
+ Revision: 150450
- rebuild against latest gnutls

* Mon Dec 24 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.5-2mdv2008.1
+ Revision: 137455
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.3.5-1mdv2008.1
+ Revision: 134898
- New upstream: 1.3.5
- Removed patch CVE-2007-4352-5392-5393: already applied.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 10 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.3.4-4mdv2008.1
+ Revision: 116986
- Do not check for errors while creating /usr/local/lib/printdriver
  Closes: #35993

* Tue Nov 20 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.3.4-3mdv2008.1
+ Revision: 110713
- Added patch for cups-1.3.0-CVE-2007-{4352,5392,5393}

* Sat Nov 17 2007 Funda Wang <fundawang@mandriva.org> 1.3.4-2mdv2008.1
+ Revision: 109291
- rebuild for new lzma

* Thu Nov 01 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.3.4-1mdv2008.1
+ Revision: 104391
- New upstream: 1.3.4
- Fix the enable of raw printing by default. Closes: #34614

* Wed Oct 10 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.3.3-1mdv2008.1
+ Revision: 96910
- Only rebuild autotools if we are using a snapshot.
- Removed patch str2472: It's already applied on this version.
- New upstream: 1.3.3

* Wed Sep 26 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.3.0-3mdv2008.0
+ Revision: 93180
- Fix icondir on configure.
- Replay svn_corrupted commit 150560:
  - Added support for LSB 3.2. Closes: #28383

* Thu Sep 13 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.3.0-2mdv2008.0
+ Revision: 85025
- Do not force requires on xinetd, as it's not used by default.

* Thu Aug 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.3.0-1mdv2008.0
+ Revision: 69816
- fix build
- kill file require on update-alternatives

  + Oden Eriksson <oeriksson@mandriva.com>
    - fix RPM GROUPS

  + Marcelo Ricardo Leitner <mrl@mandriva.com>
    - Added patch str2472: adds fallbacks in case browser-supplied languages are
      not found.
    - New upstream: 1.3.0
    - Rediffed recommended patch.

* Fri Aug 10 2007 David Walluck <walluck@mandriva.org> 1.2.12-6mdv2008.0
+ Revision: 61627
- remove newline from beginning of %%description tags (shows up in, e.g., `rpm -qi')

* Fri Aug 10 2007 Funda Wang <fundawang@mandriva.org> 1.2.12-5mdv2008.0
+ Revision: 61565
- no hplip service any more
- use %%_extension for man pages
- man-pages are lzma-ed

* Wed Jul 25 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.2.12-4mdv2008.0
+ Revision: 55266
- Move cups-config back to the lib-devel package.
  http://bugzilla.gnome.org/show_bug.cgi?id=459732

* Tue Jul 24 2007 David Walluck <walluck@mandriva.org> 1.2.12-3mdv2008.0
+ Revision: 55055
- fix a few instances of /etc and /var that were not macros
- fix changing of perms in scriptlets which should be done in %%files (and causes rpm -V to fail)
- remove echo in %%post which should not be done

* Fri Jul 13 2007 Funda Wang <fundawang@mandriva.org> 1.2.12-2mdv2008.0
+ Revision: 51851
- New version

* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 1.2.11-2mdv2008.0
+ Revision: 45162
- using new serverbuild macro (-fstack-protector-all)

  + Marcelo Ricardo Leitner <mrl@mandriva.com>
    - Do not overwrite snmp backend anymore: the new upstream one is newer than
      ours and also fixes the related bug.

* Tue May 15 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.2.11-1mdv2008.0
+ Revision: 26962
- New upstream: 1.2.11


* Tue Apr 03 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.2.10-2mdv2007.1
+ Revision: 150418
- Added patch recommended: patch away the removal of the Recommended tag.

* Wed Mar 21 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.2.10-1mdv2007.1
+ Revision: 147258
- New bugfixes upstream: 1.2.10

* Sat Mar 17 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.2.9-1mdv2007.1
+ Revision: 145647
- New upstream 1.2.9 which contains security fixes.

* Mon Mar 12 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.2.7-2mdv2007.1
+ Revision: 141961
- Release bump.
- Prefer xdg-open (xdg-utils) than html-view (kde only) for desktop menus.
  Closes: #29202
- Added /etc/sysconfig/cups to files section.
- Nice cups daemon. Closes: #16387
- Bunzip startup script.

* Fri Nov 24 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.2.7-1mdv2007.1
+ Revision: 86921
- New upstream: 1.2.7
- Removed all unused and commented patches.
- Removed patch 'r5958-bugfixes': already applied.
- Import cups

* Thu Sep 14 2006 Till Kamppeter <till@mandriva.com> 1.2.3-5mdv2007.0
- Overtaken upstream bug fix patch from Debian (Patch 38: "All
  Documents" link in on-line help was missing a trailing slash, job
  history with Polish web interface, "Reprint job" button did not
  work, daemon did not always report printer or job events properly,
  daemon did not respect backend error codes, problems with UTF-8 in
  job names and on the command line, custom page size problem).
- Removed patch 36 and 37 (part of patch 38 now).

* Thu Sep 14 2006 Till Kamppeter <till@mandriva.com> 1.2.3-4mdv2007.0
- Added missing BuildRequires for image and directory service support.

* Thu Sep 14 2006 Till Kamppeter <till@mandriva.com> 1.2.3-3mdv2007.0
- It sometimes happens that lpstat lets the CUPS daemon fall into an 
  infinite loop. Patch 36 and 37, proposed by Mike Sweet on
  http://www.cups.org/str.php?L1968 should fix the problem (should fix bug
  25186).
- If there is a directory named /usr/lib64/cups, rename it to
  /usr/lib/cups and let /usr/lib64/cups be a symlink (bug 25517).

* Wed Sep 06 2006 Till Kamppeter <till@mandriva.com> 1.2.3-2mdv2007.0
- Added "Requires: cups-common" to the libcups-devel subpackage to
  assure that cups-config is present.

* Thu Aug 31 2006 Till Kamppeter <till@mandriva.com> 1.2.3-1mdv2007.0
- Updated to CUPS 1.2.3 (Tons of bug fixes, see
  http://www.cups.org/articles.php?L407).
- Simplified conditional build for MDV 2006/Corporate 4 and MDV 2007
  (Thanks to Olivier Thauvin).

* Wed Aug 09 2006 Till Kamppeter <till@mandriva.com> 1.2.2-4mdv2007.0
- Updated PAM configuration file (bug 24199).

* Sat Aug 05 2006 Till Kamppeter <till@mandriva.com> 1.2.2-3mdv2007.0
- Several fixes on the "snmp" network printer autodiscovery backend.

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-2mdv2007.0
- Rebuild with latest dbus

* Thu Jul 20 2006 Till Kamppeter <till@mandriva.com> 1.2.2-1mdv2007.0
- Updated to CUPS 1.2.2 (Tons of bug fixes, see
  http://www.cups.org/articles.php?L397).

* Wed Jul 05 2006 Till Kamppeter <till@mandriva.com> 1.2.1-4mdv2007.0
- Uncompressed patches.

* Wed Jul 05 2006 Till Kamppeter <till@mandriva.com> 1.2.1-3mdv2007.0
- Removed absolute paths from /etc/pam.d/cups (bug 22960).

* Thu Jun 22 2006 Laurent MONTEL <lmontel@mandriva.com> 1.2.1-2
- Rebuild

* Tue May 23 2006 Till Kamppeter <till@mandriva.com> 1.2.1-1mdk
- Updated to CUPS 1.2.1 (The most important "dot-zero" version
  bugs are fixed now).
- Removed patch 35 (merged upstream).
- Do not build in debug mode any more,

* Fri May 19 2006 Till Kamppeter <till@mandriva.com> 1.2.0-4mdk
- Delete broken update-alternatives links when updating to this
  version of CUPS (containing the correct links).

* Thu May 18 2006 Till Kamppeter <till@mandriva.com> 1.2.0-3mdk
- Expanded use of update-alternatives to not conflict with
  papi-commands package.
- Fixed update-alternatives mechanism for the man pages.
- Set some links to find man pages more easily.

* Wed May 17 2006 Till Kamppeter <till@mandriva.com> 1.2.0-2mdk
- Fixes raw data files not being accepted when
  "application/octet-stream ..." rules in /etc/cups/mime.* files are active
  (bug 21814, STR 1667).

* Thu May 11 2006 Till Kamppeter <till@mandriva.com> 1.2.0-1mdk
- Updated to CUPS 1.2.0 official release.
- Fixed alternatives setup for the man pages.

* Mon May 08 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5497.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5497.

* Fri Apr 28 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5470.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5470 (Fix in web
  interface: Once you are in SSL mode, you stay there when navigating
  through the web interface).
- Allow remote administration via web interface from the local network
  by default (admin connections are always SSL-encryoted, so no security
  problem).

* Thu Apr 27 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5464.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5464 (Shortly after
  CUPS 1.2rc3 release).

* Tue Apr 25 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5454.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5454 (Added "Encryption
  Required" to "/admin" location in /etc/cups/cupsd.conf, so that all
  administration transactions are done via SSL and input into the web
  interface cannot get lost when the web interface switches from http
  to https in the end of the add printer wizard).
- Added IEEE-1284 device ID support to "poll_ppd_base".

* Mon Apr 24 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5453.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5441 (SNMP
  auto-discovery not hanging any more on IPP device which requests a
  password, many other bug fixes, Polish translation).

* Fri Apr 21 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5441.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5441 (Fixes on SNMP
  auto-discovery).
- Moved cups-config from the libcups2-devel to the cups-common package,
  for easy checking of currently installed CUPS version.

* Thu Apr 20 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5431.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5431 (SNMP auto-discovery
  for network printers, as suggested on the OSDL Printing Summit in Atlanta).

* Thu Apr 13 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5390.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5390.
- Added "BuildRequires: libgnutls-devel", GNU TLS is needed for automatic
  certificate generation for SSL-encrypted access.
- Added /usr/lib/cups/driver directory for PPD file generators.

* Tue Apr 11 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5389.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5389.

* Tue Apr 11 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5388.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5388 (Somewhat after
  the 1.2rc2 release).

* Tue Apr 04 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5368.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5368.
- When building for the Mandriva Linux Corporate 4 products, do not
  require DBUS for building, as CUPS 1.2 uses a new DBUS generation
  which is not available in the Mandriva-2006-based Corporate products.

* Sat Apr 01 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5361.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5361.

* Fri Mar 31 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5357.3mdk
- Fixed 64-bit issue with /usr/lib/cups correctly. It must stay
  /usr/lib/cups to be compatible with third-party filter/backend
  installations (See http://www.cups.org/str.php?L1524).
- Added compatibility link from /usr/lib/cups to /usr/lib64/cups on x86_64
  systems (will be removed when all other Mandriva packages with CUPS
  backends/filters are updated).
- Worked around bug on Mandriva compilation cluster (32-bit machine has
  /usr/lib64 directory).

* Fri Mar 31 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5357.2mdk
- Corrected hard-coded /usr/lib/cups.

* Fri Mar 31 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5357.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5357.
- Added "Requires: udev dynamic" to assure that device files (like
  /dev/usb/lp0) are created and their ownerships/permissions are set 
  correctly (bug 21461).

* Wed Mar 29 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5344.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5344 (Somewhat after
  the 1.2rc1 release).

* Sun Mar 19 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5312.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5312 (Somewhat after
  the 1.2b2 release).

* Thu Mar 09 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5257.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5257 (SHOWSTOPPPER
  FIX! The original CUPS 1.2beta1 did not print at all!).

* Thu Mar 09 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5256.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5256 (This is the 
  CUPS 1.2beta1 release).

* Tue Mar 07 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5239.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5239.
- Made the no non-existing /etc/cups/client.conf a %%ghost.

* Tue Feb 28 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5205.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5205 (Fixed margins
  for N-up printing).

* Tue Feb 28 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5201.2mdk
- Added "BuildRequires: php-cli" so that "./configure" recognizes the
  presence of PHP.

* Tue Feb 28 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5201.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5201.
- Added non-existing files /etc/cups/printers.conf and
  /etc/cups/classes.conf as %%ghost and %%config(noreplace) so that the
  old files of CUPS 1.1 do not get renamed when updating to CUPS 1.2.

* Mon Feb 27 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5186.2mdk
- Obsoleted out old "php4-cups" package from contrib.
- Named file in /etc/php.d/ as in the old "php4-cups" package.

* Sun Feb 26 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5186.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5186.

* Sun Feb 26 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5183.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5183.
- Added new sub package "php-cups" with PHP bindings for the CUPS library.

* Fri Feb 24 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5168.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5168 (Do not accept
  invalid directories for temporary files).

* Fri Feb 24 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5165.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5165 (This is probably
  really the fix for bug 21094).

* Fri Feb 24 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5162.2mdk
- Added backward compatibility links for "enable" and "disable" commands.

* Fri Feb 24 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5162.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5162.

* Thu Feb 23 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5130.2mdk
- Added "--with-system-groups=lpadmin root" to the "./configure" command 
  line and added/removed the "lpadmin" in the pre-install/post-uninstall
  scripts. This way the group "sys" can stay the standard CUPS group. This
  is the way as it is also done in Debian GNU/Linux (see CUPS STR 1434).

* Fri Feb 17 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5130.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5130.

* Thu Feb 16 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5120.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5120.
- Removed hardcoded "chgrp" from Makefiles, set group ownerships in
  %%files section.
- Set permissions of /etc/cups/mime.convs and /etc/cups/mime.types to
  644 (world-readable) so that HP's hp-sendfax utility works for normal
  users.
- Added "unset TMPDIR" to the start-up script of CUPS (cups.startup).

* Mon Feb 06 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5083.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5083.

* Wed Feb 01 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5046.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5046 (Add system 
  management interface for power management/sleep, network changes, hostname
  changes, etc. to cupsd, updated man pages, added whitespace and line 
  ending checks to cupstestppd, fixed many file permission issues. tons 
  of bug fixes and polishing).

* Mon Jan 23 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.4964.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 4964 (mailto: notifier
  added).
- Removed patch 34 (merged upstream).

* Thu Jan 19 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.4951.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 4951 (Bug 20504:
  Fixed last missing problem, bad7.pdf from Chris Evans, updated all 
  command-line programs to support "-h" and "-U", small fixes).

* Wed Jan 18 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.4945.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 4945 (Bug 20504:
  Security update for CVE-2005-3191,3192,3193, overflows in goo/gmem.c,
  additional overflow issues discovered by Chris Evans, CVE-2005-3624,
  3625,3626,3627, fixed also print queue set up of auto-detected printers
  with the web interface).

* Wed Jan 18 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.4929.2mdk
- Added libpaper support.

* Sat Jan 14 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.4929.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 4929.
- Removed correction of path for pam_appl.h (fixed upstream).
- Rediffed patch 34.
- Re-introduced %%{_datadir}/locale in %%files section.

* Mon Jan 09 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.4892.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 4892.
- Added htmldoc to "BuildRequires:".
- Corrected path for pam_appl.h.
- Removed %%{_datadir}/locale from %%files section.
- Reverted the use of the %%configure2_5x macro back to the direct
  ./configure call, as the use of the macro broke CUPS totally (bug 20511).
- Added STATEDIR definition to "make" and "make install" calls
  (/var/run/cups/).

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 1.2.0-0.4876.5mdk
- convert parallel init to LSB

* Wed Jan 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.0-0.4876.3mdk
- fix build on x86_64
- patch 34: fix build on x86_64 (-fpie overided -fPIC)

* Sat Dec 31 2005 Couriousous <couriousous@mandriva.org> 1.2.0-0.4876.2mdk
- Add parallel init stuff

* Fri Dec 16 2005 Till Kamppeter <till@mandriva.com> 1.2.0-0.4876.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 4876.

* Wed Dec 07 2005 Till Kamppeter <till@mandriva.com> 1.2.0-0.4865.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 4865.

* Thu Nov 24 2005 Till Kamppeter <till@mandriva.com> 1.2.0-0.4843.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 4843.
- Temporarily deactivated patches 2, 3, 22, 27, 33.

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.23-19mdk
- rebuilt against openssl-0.9.8a

* Sat Oct 29 2005 Till Kamppeter <till@mandriva.com> 1.1.23-18mdk
- Introduced a timeout when waiting for CUPS daemon listening (bug
  19255).
- Replaced dbus patch by newer one from Red Hat (current one did not build
  any more).

* Fri Aug 19 2005 Till Kamppeter <till@mandriva.com> 1.1.23-17mdk
- Removed facility to automatically set up print queues when starting CUPS.
  This can cause problems during installation.

* Thu Aug 18 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.1.23-16mdk
- 64-bit fixes

* Thu Aug 18 2005 Till Kamppeter <till@mandriva.com> 1.1.23-15mdk
- Moved comment away from "%%postun".

* Wed Aug 17 2005 Till Kamppeter <till@mandriva.com> 1.1.23-14mdk
- Turned off automatic re-enabling of print queues on CUPS start-up
  because we have the new CUPS backend wrapper no which prevents queues
  from being disabled automatically.

* Sun Aug 14 2005 Till Kamppeter <till@mandriva.com> 1.1.23-13mdk
- SECURITY FIX: Fixes CAN-2005-2097: Vulnerability on PDF processing 
  (patch 35).
- Added "Requires: xinetd" to "cups" packages. It is needed for the
  "cups-lpd" mini daemon.

* Thu Jul 28 2005 Till Kamppeter <till@mandriva.com> 1.1.23-12mdk
- Added automatic re-enabling of print queues and automatic
  print queue setup (both configurable) to /etc/init.d/cups.

* Tue Apr 12 2005 Till Kamppeter <till@mandrakesoft.com> 1.1.23-11mdk
- Fixed bug 15376: "!(" -> "! (" in /etc/init.d/cups.

* Tue Mar 22 2005 Till Kamppeter <till@mandrakesoft.com> 1.1.23-10mdk
- Updated Pierre Jarillon's I18n patch, especially there are "Set as
  default" buttons in all languages now.

* Fri Mar 18 2005 Till Kamppeter <till@mandrakesoft.com> 1.1.23-9mdk
- Revert change of lock file name to have /var/lock/subsys/cups again.
  Handling services with different service name and daemon name is a
  general problem (also with Samba and MySQL) which has to be addressed
  later. Renaming the service to "cupsd" would break other stuff
  (printerdrake, KDE Printing Manager, ...). The bugs 11715, 14727, and 
  14545 cannot be fixed all at once.

* Wed Mar 16 2005 Till Kamppeter <till@mandrakesoft.com> 1.1.23-8mdk
- Fixed I18n of the CUPS web interface and online help (bug 10598, thanks
  to Pierre Jarillon, jarillon at abul dot org, for the big patch).
- Let online help go into /usr/share/cups/doc and not into /usr/share/doc,
  so that it gets also installed in a minimum installation without
  documentation, otherwise the web interface would be broken in this case
  (Thanks to Raul Dias, raul at dias dot com dot br, for reporting this).

* Wed Mar 02 2005 Till Kamppeter <till@mandrakesoft.com> 1.1.23-7mdk
- Recode all translations to UTF-8 so that the web interface of CUPS is
  shown correctly, especially with Mozilla.

* Tue Mar 01 2005 Till Kamppeter <till@mandrakesoft.com> 1.1.23-6mdk
- Removed menu entry for CUPS web interface.

* Fri Feb 18 2005 Till Kamppeter <till@mandrakesoft.com> 1.1.23-5mdk
- Use /var/lock/subsys/cupsd instead of /var/lock/subsys/cups
  in startup script, to fix bug 11715.
- SECURITY FIX: Fixes CAN-2005-0064/MDKSA-2005:041/Bug 13751: See
  http://www.mandrakesoft.com/security/advisories?name=MDKSA-2005:041

* Fri Feb 11 2005 Till Kamppeter <till@mandrakesoft.com> 1.1.23-4mdk
- SECURITY FIX: Fixes CAN-2005-0064/MDKSA-2005:018/Bug 13580: See
  http://www.mandrakesoft.com/security/advisories?name=MDKSA-2005:018

* Fri Feb 11 2005 Till Kamppeter <till@mandrakesoft.com> 1.1.23-3mdk
- Updated CUPS startup script to also check HPLIP.

* Wed Feb 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.23-2mdk
- multiarch

* Tue Jan 04 2005 Till Kamppeter <till@mandrakesoft.com> 1.1.23-1mdk
- Updated to CUPS 1.1.23 final (Tons of bug fixes: "Media tray empty" on
  USB backend, possible DoS in CUPS daemon, buffer overflow on "hpgltops"
  filter, ...).
- Set "lppasswd" SUID root again, otherwise it does not work.
- Removed support for Mandrakelinux 7.2.
- Fixed icon stuff.

* Tue Nov 30 2004 Till Kamppeter <till@mandrakesoft.com> 1.1.22-2mdk
- Added Red Hat's DBUS support (Patch 27).

* Tue Nov 09 2004 Till Kamppeter <till@mandrakesoft.com> 1.1.22-1mdk
- Updated to CUPS 1.1.22 final.
- Removed Patch 26, it is already applied upstream.

* Tue Oct 12 2004 Till Kamppeter <till@mandrakesoft.com> 1.1.21-1mdk
- Updated to CUPS 1.1.21 final.
- Removed Patch 24 and Patch 25, they are already applied upstream.
- Improved debug mode, now the RPM built in debug mode has really
  unstripped executables.
- Fix the CUPS daemon dieing on "killall -HUP cupsd" (Patch 26, Thanks to
  Tim Waugh from Red Hat, CUPS STR 865 and 928).

* Sat Oct 09 2004 Vincent Danen <vdanen@mandrakesoft.com> 1.1.21-0.rc1.7mdk
- P25: security fix for CAN-2004-0558

* Tue Sep 21 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.1.21-0.rc1.6mdk
- start cups at level 15 to avoid conflicts with RPC programs like
  ypbind (bug #9951)

* Tue Aug 31 2004 Till Kamppeter <till@mandrakesoft.com> 1.1.21-0.rc1.5mdk
- Added switchable debug mode.
- Moved "Provides: lpddaemon" from "cups" to "cups-common" package as we
  support daemon-less CUPS client mode with printerdrake now.

* Sat Aug 21 2004 Till Kamppeter <till@mandrakesoft.com> 1.1.21-0.rc1.4mdk
- If there is no USB printer connected, let the "usb" backend put out
  /dev/usb/lpX as default device file names and not /dev/usblpX.

* Tue Aug 10 2004 Till Kamppeter <till@mandrakesoft.com> 1.1.21-0.rc1.3mdk
- Set temporary directory and other parameters in /etc/xinetd.d/cups-lpd,
  sp that cups-lpd uses the correct temporary directory and
  permissions/ownerships (Anthill bug 879).

* Fri Aug 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.21-0.rc1.2mdk
- use -fPIC too on ix86

* Thu Jun 10 2004 Till Kamppeter <till@mandrakesoft.com> 1.1.21-0.rc1.1mdk
- Updated to CUPS 1.1.21rc1.
- Perlified patch 6.

* Sat Jun 05 2004 <lmontel@n2.mandrakesoft.com> 1.1.20-6mdk
- Rebuild

